package com.search.lucene.engine.abstractions;

import org.apache.lucene.document.Document;
import org.apache.lucene.queryparser.classic.ParseException;

import java.io.IOException;
import java.util.ArrayList;

public interface ISearchEngine {
    void createIndexForDirectory(String directoryPath) throws IOException;
    ArrayList<Document> search(String searchQuery) throws IOException, ParseException;
}
